Package ghidra.app.util.bin.format.macho.commands

# Class TwoLevelHint

java.lang.Object
ghidra.app.util.bin.format.macho.commands.TwoLevelHint

All Implemented Interfaces:
  `StructConverter`

public class TwoLevelHint extends Object implements StructConverter
Represents a twolevel_hint structure.

See Also:
  - EXTERNAL_HEADERS/mach-o/loader.h

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `SIZEOF`

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getSubImageIndex()`
  An index into the sub-images (sub-frameworks and sub-umbrellas list).
  `int`
  `getTableOfContentsIndex()`
  An index into the library's table of contents.
  `DataType`
  `toDataType()`
  Returns a structure datatype representing the contents of the implementor of this interface.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SIZEOF

    public static final int SIZEOF
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getSubImageIndex

    public int getSubImageIndex()
    An index into the sub-images (sub-frameworks and sub-umbrellas list).
    Returns:
      index into the sub-images

  - ### getTableOfContentsIndex

    public int getTableOfContentsIndex()
    An index into the library's table of contents.
    Returns:
      index into the library's table of contents

  - ### toDataType

    public DataType toDataType() throws DuplicateNameException, IOException
    Description copied from interface: `StructConverter`
    Returns a structure datatype representing the contents of the implementor of this interface.

    For example, given:

         class A {
             int foo;
             double bar;
         }

    The return value should be a structure data type with two data type components; an INT and a DOUBLE. The structure should contain field names and, if possible, field comments.

    Specified by:
      `toDataType` in interface `StructConverter`
    Returns:
      returns a structure datatype representing the implementor of this interface
    Throws:
      `DuplicateNameException` - when a datatype of the same name already exists
      `IOException`
    See Also:
      - `StructureDataType`